Apply Memory Kg Extraction
Apply knowledge graph extraction results to a memory.
This endpoint saves the extracted entities and relationships to the graph database and updates the memory's metadata to track the extraction.
Path Parameters
memory_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "http://127.0.0.1:14242/memories/string/extract-kg/apply" \ -H "Content-Type: application/json" \ -d '{ "entities": [ null ], "relationships": [ null ], "extraction_confidence": 0 }'{
"success": true,
"memory_id": "string",
"entities_created": 0,
"relationships_created": 0,
"metadata_updated": true,
"error": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}